Public
6 operations under public. Examples read $API and $KEY from your shell.
- GET /v1/public/issuer/{code}
- GET /v1/public/assets
- GET /v1/public/reserves/{code}
- GET /v1/public/supply/{code}
- GET /v1/public/snapshots
- GET /v1/public/snapshots/{id}
GET /v1/public/issuer/{code}
Parameters
codestring required in path
Responses
200 Default Response
object
objectstring required one ofissuer_accountassetstring requiredasset_issuerstring requiredhome_domainstring required (nullable)flagsobject requiredauth_requiredboolean requiredauth_revocableboolean requiredauth_clawback_enabledboolean requiredauth_immutableboolean required
read_atstring required
Errors are RFC 9457 problem documents (application/problem+json).
curl
curl -s \
"$API/v1/public/issuer/$CODE" \
-H "authorization: Bearer $KEY"SDK
import { createScrClient } from "@scr/sdk";
// The client sends the API key for you.
const client = createScrClient({ baseUrl: process.env.API!, apiKey: process.env.KEY! });
const { data, error } = await client.GET("/v1/public/issuer/{code}", {
params: { path: { code: "<code>" } },
});GET /v1/public/assets
Responses
200 Default Response
object
dataarray requiredEach item:
codestring requiredasset_issuerstring requiredasset_contractstring requiredcurrencystring requireddecimalsnumber required one of7
Errors are RFC 9457 problem documents (application/problem+json).
curl
curl -s \
"$API/v1/public/assets" \
-H "authorization: Bearer $KEY"SDK
import { createScrClient } from "@scr/sdk";
// The client sends the API key for you.
const client = createScrClient({ baseUrl: process.env.API!, apiKey: process.env.KEY! });
const { data, error } = await client.GET("/v1/public/assets");GET /v1/public/reserves/{code}
Parameters
codestring required in path
Responses
200 Default Response
object
objectstring required one ofreserve_reportassetstring requiredasset_issuerstring required (nullable)ledger_sequenceinteger required (nullable)as_ofstring requirednetworkstring required one oftestnet,othersimulatedboolean required one oftruesupplyobject requiredtotaldecimal string requiredcustomer_heldstring requiredbufferstring requiredfrozenstring requiredliquidity_poolstring optional Platform conversion-pool tokens (lp_inventory), excluded from customer_held. Omitted by snapshots published before this field existed: consumers treat a missing field as "0.0000000".
reservesobject requiredcurrencystring requiredtotaldecimal string requiredsourcesarray requiredEach item:
idstring requiredkindstring required one ofoff_chaintypestring requiredamountdecimal string requiredcountedstring requiredfreshboolean requiredas_ofstring requiredmax_age_secondsinteger optionalevidence_refstring required (nullable)
inflight_reserveddecimal string requiredreserve_ratiodecimal string required (nullable)headroomstring requireddisclaimerstring required
Errors are RFC 9457 problem documents (application/problem+json).
curl
curl -s \
"$API/v1/public/reserves/$CODE" \
-H "authorization: Bearer $KEY"SDK
import { createScrClient } from "@scr/sdk";
// The client sends the API key for you.
const client = createScrClient({ baseUrl: process.env.API!, apiKey: process.env.KEY! });
const { data, error } = await client.GET("/v1/public/reserves/{code}", {
params: { path: { code: "<code>" } },
});GET /v1/public/supply/{code}
Parameters
codestring required in path
Responses
200 Default Response
object
objectstring required one ofsupply_reportassetstring requiredasset_issuerstring required (nullable)ledger_sequenceinteger required (nullable)as_ofstring requirednetworkstring required one oftestnet,othersimulatedboolean required one oftruetotaldecimal string requiredcustomer_heldstring requiredbufferstring requiredfrozenstring requiredliquidity_poolstring optional Platform conversion-pool tokens (lp_inventory), excluded from customer_held. Omitted by snapshots published before this field existed: consumers treat a missing field as "0.0000000".disclaimerstring required
Errors are RFC 9457 problem documents (application/problem+json).
curl
curl -s \
"$API/v1/public/supply/$CODE" \
-H "authorization: Bearer $KEY"SDK
import { createScrClient } from "@scr/sdk";
// The client sends the API key for you.
const client = createScrClient({ baseUrl: process.env.API!, apiKey: process.env.KEY! });
const { data, error } = await client.GET("/v1/public/supply/{code}", {
params: { path: { code: "<code>" } },
});GET /v1/public/snapshots
Parameters
assetstring optional in querylimitinteger required in querystarting_afterstring optional in query
Responses
200 Default Response
object
dataarray requiredEach item:
idstring requiredassetstring requiredledger_sequenceinteger requiredpublished_atstring requiredtriggerstring required one ofoperator,schedulekidstring requiredurlstring requiredpdf_urlstring requiredjwsstring required
has_moreboolean required
Errors are RFC 9457 problem documents (application/problem+json).
curl
curl -s \
"$API/v1/public/snapshots?limit=1" \
-H "authorization: Bearer $KEY"SDK
import { createScrClient } from "@scr/sdk";
// The client sends the API key for you.
const client = createScrClient({ baseUrl: process.env.API!, apiKey: process.env.KEY! });
const { data, error } = await client.GET("/v1/public/snapshots", {
params: { query: { limit: 1 } },
});GET /v1/public/snapshots/{id}
Parameters
idstring required in path
Responses
200 Default Response
object
objectstring required one ofreserve_snapshotidstring requiredledger_sequenceinteger requiredsimulatedboolean required one oftrue
Errors are RFC 9457 problem documents (application/problem+json).
curl
curl -s \
"$API/v1/public/snapshots/$ID" \
-H "authorization: Bearer $KEY"SDK
import { createScrClient } from "@scr/sdk";
// The client sends the API key for you.
const client = createScrClient({ baseUrl: process.env.API!, apiKey: process.env.KEY! });
const { data, error } = await client.GET("/v1/public/snapshots/{id}", {
params: { path: { id: "<id>" } },
});